OpenVDB 13.0.0

Loading...
Searching...
No Matches
GridTransformer.h File Reference
`#include <openvdb/Grid.h>`
`#include <openvdb/Types.h>`
`#include <openvdb/math/Math.h>`
`#include <openvdb/util/NullInterrupter.h>`
`#include "ChangeBackground.h"`
`#include "Interpolation.h"`
`#include "LevelSetRebuild.h"`
`#include "SignedFloodFill.h"`
`#include "Prune.h"`
`#include <openvdb/openvdb.h>`
`#include <tbb/blocked_range.h>`
`#include <tbb/parallel_reduce.h>`
`#include <cmath>`
`#include <functional>`

Go to the source code of this file.

## Classes
class | GridResampler
class | GridTransformer
| A GridTransformer applies a geometric transformation to an input grid using one of several sampling schemes, and stores the result in an output grid. More...
struct | GridTransformer::MatrixTransform
class | ABTransform
| This class implements the Transformer functor interface (specifically, the isAffine(), transform() and invTransform() methods) for a transform that maps an A grid into a B grid's index space such that, after resampling, A's index space and transform match B's index space and transform. More...
struct | HalfWidthOp< ValueType >
struct | HalfWidthOp< bool >

## Namespaces
namespace | openvdb
namespace | openvdb::v13_0
namespace | openvdb::v13_0::tools
namespace | openvdb::v13_0::tools::local_util

## Enumerations
enum | { DECOMP_INVALID = 0 , DECOMP_VALID = 1 , DECOMP_UNIQUE = 2 }

## Functions
template<typename Sampler, typename Interrupter, typename GridType>
void | resampleToMatch (const GridType &inGrid, GridType &outGrid, Interrupter &interrupter)
| Resample an input grid into an output grid of the same type such that, after resampling, the input and output grids coincide (apart from sampling artifacts), but the output grid's transform is unchanged.
template<typename Sampler, typename GridType>
void | resampleToMatch (const GridType &inGrid, GridType &outGrid)
| Resample an input grid into an output grid of the same type such that, after resampling, the input and output grids coincide (apart from sampling artifacts), but the output grid's transform is unchanged.
template<typename T>
int | decompose (const math::Mat4< T > &m, math::Vec3< T > &scale, math::Vec3< T > &rotate, math::Vec3< T > &translate)
| Decompose an affine transform into scale, rotation (XYZ order), and translation components.
template<typename Sampler, typename Interrupter, typename GridType>
void | doResampleToMatch (const GridType &inGrid, GridType &outGrid, Interrupter &interrupter)

## Detailed Description

Author
  Peter Cucka